package com.gx.obe.management.action;

import org.eclipse.swt.SWT;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.management.composite.SubPackageMenuEnterComposite;
import com.gx.obe.web.entity.tender.TenderProjectEntity;

/**
 * @Description: 进入包件
 * @author guoyr
 */
public class EnterSubPackageAction extends Action {
	public void run(){
		ActionListener topActionListener = this.getListener();
		if(null != topActionListener){
			topActionListener.onLoad(this);
//			SubPackageEnterComposite subPackageEnterComposite = new SubPackageEnterComposite(topActionListener.getParentComposite(), (TenderProjectEntity)this.getData("tenderProjectEntity"), topActionListener, SWT.NONE);
			SubPackageMenuEnterComposite subPackageEnterComposite = new SubPackageMenuEnterComposite(topActionListener.getParentComposite(), (TenderProjectEntity)this.getData("tenderProjectEntity"), topActionListener, this,  SWT.NONE);
			topActionListener.loadComposite(this, subPackageEnterComposite);
		}
	}
}
